# Uses of Interface
org.apache.sling.jcr.contentloader.ContentImportListener

Packages that use ContentImportListener
Package
Description
org.apache.sling.jcr.contentloader

## Uses of ContentImportListener in org.apache.sling.jcr.contentloader

Methods in org.apache.sling.jcr.contentloader with parameters of type ContentImportListener
Modifier and Type
Method
Description
`void`
ContentImporter.`importContent(javax.jcr.Node parent, String filename, InputStream contentStream, ImportOptions importOptions, ContentImportListener importListener)`
Import content into the repository by parsing the provided content stream.
`void`
ContentImporter.`importContent(javax.jcr.Node parent, String name, String contentType, InputStream contentStream, ImportOptions importOptions, ContentImportListener importListener)`
Import content into the repository by parsing the provided content stream.